# Class AnthropicFile

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents a file object from the Anthropic Files API.

    public class AnthropicFile

Inheritance
  object
  AnthropicFile

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Properties

### CreatedAt

Date file was created.

    [JsonPropertyName("created_at")]
    public DateTimeOffset CreatedAt { get; init; }

#### Property Value

DateTimeOffset

### Downloadable

Whether the file can be downloaded.

    [JsonPropertyName("downloadable")]
    public bool Downloadable { get; init; }

#### Property Value

bool

### Id

Unique object identifier.

    [JsonPropertyName("id")]
    public string Id { get; init; }

#### Property Value

string

### MimeType

MIME type of the file.

    [JsonPropertyName("mime_type")]
    public string MimeType { get; init; }

#### Property Value

string

### Name

Original filename of the uploaded file.

    [JsonPropertyName("filename")]
    public string Name { get; init; }

#### Property Value

string

### Size

Size of the file in bytes.

    [JsonPropertyName("size_bytes")]
    public long Size { get; init; }

#### Property Value

long

### Type

Object type.

    [JsonPropertyName("type")]
    public string Type { get; init; }

#### Property Value

string